# Accept developer (creator)

### Input parameters

* TaskID

### How to call from app

HTTP request to: /accept-developer/TASKID

### Logic

1. The frontend (app.tasksource.io) calls the API (api.tasksource.io/accept-developer/TASK-ID)

2. the backend should now set a field in the task document (acceptedByCreator = true)

3. Send First Email:

   * to\_email\_adress = email\_of\_assigned\_person
   * template\_name = "tasks-accepted-by-creator->developer"
   * data = {taskData: taskData, taskId: taskId}

4. Send Second Email:
   * to\_email\_adress = email\_of\_task\_creator
   * template\_name = "tasks-accepted-by-creator->creator"
   * data = {taskData: taskData, taskId: taskId}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tasksource.io/api-documentation/step-2-taskflow/accept-developer-creator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
